/usr/lib/python2.7/site-packages/requests/__init__.py:80: RequestsDependencyWarning: urllib3 (1.22)

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/m0_37814112/article/details/80591473
[root@iZwz9bhan5nqzh979qokrkZ ~]# salt '*' cmd.run 'ls -l'
/usr/lib/python2.7/site-packages/requests/__init__.py:80: RequestsDependencyWarning: urllib3 (1.22) or chardet (2.2.1) doesn't match a supported version!
  RequestsDependencyWarning)

原因:python库中urllib3 (1.22) or chardet (2.2.1) 的版本不兼容

解决如下:
[root@iZwz9bhan5nqzh979qokrkZ ~]# pip uninstall urllib3
[root@iZwz9bhan5nqzh979qokrkZ ~]# pip uninstall chardet
[root@iZwz9bhan5nqzh979qokrkZ ~]# pip install requests

总结:发现一例,解决一例,记录一例,总结一例!
阅读更多
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页